import { InputDescriptor } from '../vendors/organik';
import { EnumFieldOption, ViewFieldDescriptor } from '../types/input';
declare type ModuleName = string;
declare function cacheDynamicEnumOptions(moduleName: ModuleName, field: ViewFieldDescriptor, options?: EnumFieldOption[]): void;
declare function getCachedEnumOptions(moduleName: ModuleName, field: ViewFieldDescriptor): EnumFieldOption[] | undefined;
declare function resolveRangePlaceholders<CT extends Record<string, any>>(inputs: InputDescriptor[], config: CT): string[];
export { cacheDynamicEnumOptions, getCachedEnumOptions, resolveRangePlaceholders };
