import { isFunction } from '../../vendors/toolbox';
import { getWidget } from '../../vendors/organik';
function resolveSearchWidgetCtor(viewContext) {
    const search = viewContext.getSearch();
    let widgetCtor;
    if (isFunction(search)) {
        widgetCtor = search;
    }
    else {
        const { widget = 'FormSearchWidget' } = search;
        widgetCtor = isFunction(widget) ? widget : getWidget(widget);
    }
    return widgetCtor;
}
export { resolveSearchWidgetCtor };
