import { BaseWidgetConfig } from '../../types/widget/base';
import { BaseHeadlessWidget } from '../base';
declare class AdminLayoutHeadlessWidget<CT extends BaseWidgetConfig = BaseWidgetConfig> extends BaseHeadlessWidget<Record<string, any>, CT> {
    getConfig(): CT;
    /**
     * Get menu status flags
     *
     * @returns active and open menu route names
     */
    getMenuFlags(): {
        active: string;
        open: string[];
    };
}
export { AdminLayoutHeadlessWidget };
