import type { SearchWidgetConfig, ISearchWidget } from '../../types/widget/search';
import { BaseHeadlessWidget } from '../base';
import type { SearchSettings } from './typing';
declare class SearchHeadlessWidget<CT extends SearchWidgetConfig = SearchWidgetConfig> extends BaseHeadlessWidget<ISearchWidget, CT> {
    getConfig(): CT;
    resolveInitialSettings(): SearchSettings;
}
export { SearchHeadlessWidget };
