import { registerAction, } from '../vendors/organik';
import { BuiltInClientAction } from '../types/action';
function deleteOne(ctx, { success, error }) {
    const parent = ctx.getParent();
    return parent.deleteOne(ctx.getValue(), () => {
        success('删除成功');
        parent.reload();
    }, message => error(`删除记录错误：${message}`));
}
[
    { name: BuiltInClientAction.Create, text: '新增', context: 'free', primary: true },
    { name: BuiltInClientAction.Edit, text: '编辑', context: 'single' },
    { name: BuiltInClientAction.Submit, text: '提交', context: 'single', primary: true },
    { name: BuiltInClientAction.Reset, text: '重置', context: 'single' },
    { name: BuiltInClientAction.Cancel, text: '取消', context: 'single' },
    {
        name: BuiltInClientAction.Delete,
        text: '删除',
        context: 'single',
        confirm: '是否将该记录删除？',
        execute: deleteOne,
    },
].forEach(action => registerAction(action));
