import { ComponentCtor, ModuleContext, ViewContext } from '../../vendors/organik';
import type { EnumFieldOption, EnumField, FilterDescriptor, ViewFieldDescriptor } from '../../types/input';
import type { FieldRendererProps } from '../../types/renderer';
declare function resolveFieldWidgetCtor<WidgetCtor extends ComponentCtor = ComponentCtor>(moduleContext: ModuleContext, { field, readonly }: FieldRendererProps): WidgetCtor | undefined;
declare function resolvePlaceholder(fieldOrFilter: ViewFieldDescriptor | FilterDescriptor, behaviorFromConfig: boolean | undefined, behaviorFromTheme: boolean): string;
declare function resolveEnumOptions(context: ViewContext, fieldOrFilter: EnumField, callback: (options: EnumFieldOption[]) => void): void;
declare function resolveSingleEnumDisplayText(value: number | string, options: EnumFieldOption[]): string;
declare function resolveMultipleEnumDisplayText(value: number[] | string[], optionMap: Record<string, EnumFieldOption>): string;
export { resolveFieldWidgetCtor, resolvePlaceholder, resolveEnumOptions, resolveSingleEnumDisplayText, resolveMultipleEnumDisplayText, };
