import { capitalize } from '../../vendors/toolbox';
import { resolveFilterRenderType } from '../renderer';
import { resolveWidgetCtor } from './base';
function resolveFilterWidgetCtor(moduleContext, { filter }) {
    return resolveWidgetCtor(moduleContext, filter.widget, () => `${resolveFilterRenderType(filter)
        .split('-')
        .map(part => capitalize(part))
        .join('')}${(filter.dataType || '')
        .split('-')
        .map(part => capitalize(part))
        .join('')}FilterWidget`);
}
export { resolveFilterWidgetCtor };
