import { ViewContext } from '../../vendors/organik';
import type { ObjectValue } from '../../types';
import type { EnumFieldOption, EnumField } from '../../types/input';
import type { EnumFieldWidgetConfig, ResolvedEnumFieldOption } from '../../types/widget/field';
import { FieldHeadlessWidget } from './Field';
declare class EnumFieldHeadlessWidget<VT, CT extends EnumFieldWidgetConfig = EnumFieldWidgetConfig> extends FieldHeadlessWidget<VT, CT, EnumField> {
    private options;
    private resolveRenderOptions;
    initOptions(viewContext: ViewContext, callback: (options: EnumFieldOption[], renderOptionsResolver: (record: ObjectValue) => ResolvedEnumFieldOption[]) => void): void;
    getSingleDisplayText(value: number | string, options: ResolvedEnumFieldOption[]): string;
    getMultipleDisplayText(value: number[] | string[], optionMap: Record<string, EnumFieldOption>): string;
}
export { EnumFieldHeadlessWidget };
