import type { ViewContext } from '../../vendors/organik';
import type { EnumFieldOption, EnumField } from '../../types/input';
import type { EnumFilterWidgetConfig } from '../../types/widget/filter';
import { FilterHeadlessWidget } from './Filter';
declare class EnumFilterHeadlessWidget<VT, CT extends EnumFilterWidgetConfig = EnumFilterWidgetConfig> extends FilterHeadlessWidget<VT, CT, EnumField> {
    initOptions(viewContext: ViewContext, callback: (options: EnumFieldOption[]) => void): void;
    getSingleDisplayText(value: number | string, options: EnumFieldOption[]): string;
    getMultipleDisplayText(value: number[] | string[], optionMap: Record<string, EnumFieldOption>): string;
}
export { EnumFilterHeadlessWidget };
