import { resolveEnumOptions, resolveSingleEnumDisplayText, resolveMultipleEnumDisplayText, } from '../../utils/widget';
import { FilterHeadlessWidget } from './Filter';
class EnumFilterHeadlessWidget extends FilterHeadlessWidget {
    initOptions(viewContext, callback) {
        resolveEnumOptions(viewContext, this.getFilter(), callback);
    }
    getSingleDisplayText(value, options) {
        return resolveSingleEnumDisplayText(value, options);
    }
    getMultipleDisplayText(value, optionMap) {
        return resolveMultipleEnumDisplayText(value, optionMap);
    }
}
export { EnumFilterHeadlessWidget };
