import type { ListViewWidgetConfig } from '../../types/widget/view';
import { ViewHeadlessWidget } from './View';
declare class ListViewHeadlessWidget<CT extends ListViewWidgetConfig = ListViewWidgetConfig> extends ViewHeadlessWidget<CT> {
    getDefaultPageSize(): number;
    initPagination(initialPageNum: number, stateUpdater: (pagination: {
        pageSize: number;
        pageNum: number;
    }) => any): void;
    loadData(): void;
}
export { ListViewHeadlessWidget };
